Package org.eclipse.ecf.provider.comm

## Interface ISynchConnection

All Superinterfaces:
  `org.eclipse.core.runtime.IAdaptable`, `IConnection`

All Known Subinterfaces:
  `ISynchAsynchConnection`

All Known Implementing Classes:
  `Client`, `SSLClient`

    public interface ISynchConnection
    extends IConnection

Synchronous connection

### Method Summary

All Methods Instance Methods Abstract Methods
`Object` `sendSynch​(ID receiver, byte[] data)` Send data synchronously, blocking until a result is received

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.ecf.provider.comm.IConnection

`addListener, connect, disconnect, getLocalID, getProperties, isConnected, isStarted, removeListener, start, stop`

### Method Detail

#### sendSynch

    Object sendSynch​(ID receiver,
                     byte[] data)
              throws IOException

Send data synchronously, blocking until a result is received

Parameters:
  `receiver` - the receiver to receive the synchronous request
  `data` - the data to send
Returns:
  the data received. The return type will be specific to the provider implementation.
Throws:
  `IOException` - thrown if sending cannot occur (e.g. not connected)